List recurring tokens saved for a client.
GET
All of these tokens will be available in a checkout (see Purchase.checkout_url) if you create a Purchase with this client's ID in client_id field.
You can use one in POST /purchases/{id}/charge/, too. Note that you can use one client's recurring_token to pay a Purchase created for a different client_id or created with no client_id at all; it's not recommended to do this.
ApiKeyheader
AuthorizationBearer <token>Your API key from the Developers section of your account, sent as a bearer token.
id*stringObject ID (UUID)
Format
uuidOK
application/json- response
results?array<>next?|The next page of pagination results. null if there are no more results.
previous?|The previous page of pagination results. null if there was no previous page.
curl -X GET 'https://gate.reviopay.com/api/v1/clients/497f6eca-6276-4993-bfeb-53cbbbba6f08/recurring_tokens/'Example Response200
{ "results": [ { "type": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "created_on": 1619740800, "updated_on": 1619740800, "payment_method": "string", "description": "string" } ], "next": "string", "previous": "string"}